MONGOC_GRIDFS_FILE_T(3)

NAME
mongoc_gridfs_file_t - mongoc_gridfs_file_t

SYNOPSIS

        typedef struct _mongoc_gridfs_file_t mongoc_gridfs_file_t;

DESCRIPTION

This structure provides a MongoDB GridFS file abstraction. It provides several APIs.

    •   readv, writev, seek, and tell.

    •   General file metadata such as filename and length.

    •   GridFS metadata such as md5, filename, content_type, aliases, metadata, chunk_size, and upload_date.

THREAD SAFETY

This structure is NOT thread-safe and should only be used from one thread at a time.

RELATED

    •   mongoc_client_t

    •   mongoc_gridfs_t

    •   mongoc_gridfs_file_list_t

    •   mongoc_gridfs_file_opt_t

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc